=== modified file 'Makefile.am'
--- Makefile.am	2008-07-05 18:48:15 +0000
+++ Makefile.am	2008-07-07 02:40:36 +0000
@@ -29,7 +29,7 @@
 			strings mysys $(d_dbug) \
                         extra regex \
                         libmysql client storage plugin \
-                        sql \
+                        server \
 			mysql-test support-files
 
 DIST_SUBDIRS =		$(SUBDIRS) mysys/tests strings/tests

=== modified file 'client/Makefile.am'
--- client/Makefile.am	2008-07-04 13:45:27 +0000
+++ client/Makefile.am	2008-07-07 02:40:36 +0000
@@ -18,7 +18,7 @@
 AM_CPPFLAGS =			-I$(top_builddir)/include \
 				-I$(top_srcdir)/include \
 				-I$(top_srcdir)/regex \
-				-I$(top_srcdir)/sql \
+				-I$(top_srcdir)/server \
 				-I$(top_srcdir)/strings
 
 LIBS =				@CLIENT_LIBS@ -lz

=== modified file 'configure.ac'
--- configure.ac	2008-07-05 22:07:42 +0000
+++ configure.ac	2008-07-07 02:40:36 +0000
@@ -4,7 +4,7 @@
 AC_PREREQ(2.61)dnl		Minimum Autoconf version required.
 
 AC_INIT
-AC_CONFIG_SRCDIR([sql/mysqld.cc])
+AC_CONFIG_SRCDIR([server/mysqld.cc])
 AC_CONFIG_AUX_DIR(config)
 AC_CONFIG_HEADERS([include/config.h:config.h.in])
 AC_CANONICAL_TARGET
@@ -49,7 +49,7 @@
 sinclude(config/ac-macros/readline.m4)
 sinclude(config/ac-macros/ssl.m4)
 
-# Remember to add a directory sql/share/LANGUAGE
+# Remember to add a directory server/share/LANGUAGE
 AVAILABLE_LANGUAGES="\
 czech danish dutch english estonian french german greek hungarian \
 italian japanese korean norwegian norwegian-ny polish portuguese \
@@ -1213,8 +1213,8 @@
  strings/Makefile strings/tests/Makefile regex/Makefile storage/Makefile dnl
  vio/Makefile dnl
  libmysql/Makefile client/Makefile dnl
- sql/Makefile sql/share/Makefile dnl
- sql/sql_builtin.cc sql-common/Makefile dnl
+ server/Makefile server/share/Makefile dnl
+ server/sql_builtin.cc sql-common/Makefile dnl
  dbug/Makefile scripts/Makefile include/Makefile dnl
  support-files/Makefile dnl
  mysql-test/Makefile dnl

=== modified file 'extra/Makefile.am'
--- extra/Makefile.am	2008-07-05 18:48:15 +0000
+++ extra/Makefile.am	2008-07-07 02:40:36 +0000
@@ -18,7 +18,7 @@
 endif
 
 AM_CPPFLAGS =		-I$(top_builddir)/include -I$(top_srcdir)/include \
-			-I$(top_srcdir)/sql
+			-I$(top_srcdir)/server
 LDADD =			$(top_builddir)/mysys/libmysyslt.la \
  			$(d_dbug) \
                         $(top_builddir)/strings/libmystringslt.la \
@@ -36,15 +36,15 @@
 # NOTE Built files should depend on their sources to avoid
 # the built files being rebuilt in source dist
 $(top_builddir)/include/mysqld_error.h: comp_err.c \
-			$(top_srcdir)/sql/share/errmsg.txt
+			$(top_srcdir)/server/share/errmsg.txt
 	$(MAKE) $(AM_MAKEFLAGS) comp_err$(EXEEXT)
 	$(top_builddir)/extra/comp_err$(EXEEXT) \
-	--charset=$(top_srcdir)/sql/share/charsets \
-	--out-dir=$(top_builddir)/sql/share/ \
+	--charset=$(top_srcdir)/server/share/charsets \
+	--out-dir=$(top_builddir)/server/share/ \
 	--header_file=$(top_builddir)/include/mysqld_error.h \
 	--name_file=$(top_builddir)/include/mysqld_ername.h \
 	--state_file=$(top_builddir)/include/sql_state.h \
-	--in_file=$(top_srcdir)/sql/share/errmsg.txt
+	--in_file=$(top_srcdir)/server/share/errmsg.txt
 $(top_builddir)/include/mysqld_ername.h: $(top_builddir)/include/mysqld_error.h
 $(top_builddir)/include/sql_state.h: $(top_builddir)/include/mysqld_error.h
 

=== modified file 'mysql-test/mysql-test-run.pl'
--- mysql-test/mysql-test-run.pl	2008-07-03 12:39:14 +0000
+++ mysql-test/mysql-test-run.pl	2008-07-07 02:40:36 +0000
@@ -771,7 +771,7 @@
 
   # Look for language files and charsetsdir, use same share
   $path_share=      mtr_path_exists("$glob_basedir/share/mysql",
-                                    "$glob_basedir/sql/share",
+                                    "$glob_basedir/server/share",
                                     "$glob_basedir/share");
 
   $path_language=      mtr_path_exists("$path_share/english");
@@ -782,7 +782,7 @@
   {
     $exe_mysqld=       mtr_exe_exists (vs_config_dirs('sql', 'mysqld'),
                                        vs_config_dirs('sql', 'mysqld-debug'),
-				       "$glob_basedir/sql/mysqld",
+				       "$glob_basedir/server/mysqld",
 				       "$path_client_bindir/mysqld-max-nt",
 				       "$path_client_bindir/mysqld-max",
 				       "$path_client_bindir/mysqld-nt",
@@ -1558,7 +1558,7 @@
     # Look for the udf_example library
     $lib_udf_example=
       mtr_file_exists(vs_config_dirs('sql', 'udf_example.dll'),
-                      "$glob_basedir/sql/.libs/udf_example.so",);
+                      "$glob_basedir/server/.libs/udf_example.so",);
 
     # Look for the ha_example library
     $lib_example_plugin=

=== modified file 'mysql-test/resolve-stack'
--- mysql-test/resolve-stack	2008-06-25 05:29:13 +0000
+++ mysql-test/resolve-stack	2008-07-07 02:40:36 +0000
@@ -3,6 +3,6 @@
 # we cannot duplicate the crash in a debugger and have to
 # resort to using stack traces
 
-nm --numeric-sort ../sql/mysqld > var/tmp/mysqld.sym
+nm --numeric-sort ../server/mysqld > var/tmp/mysqld.sym
 echo "Please type or paste the numeric stack trace,Ctrl-C to quit:"
 ../extra/resolve_stack_dump -s var/tmp/mysqld.sym

=== modified file 'mysql-test/suite/rpl/t/rpl_temporary.test'
--- mysql-test/suite/rpl/t/rpl_temporary.test	2008-06-25 05:29:13 +0000
+++ mysql-test/suite/rpl/t/rpl_temporary.test	2008-07-07 02:40:36 +0000
@@ -202,7 +202,7 @@
 insert into `` values (1);
 insert into t1 select * from ``
 EOF
---exec $MYSQL --character-sets-dir=../sql/share/charsets/ --default-character-set=latin1 test < $MYSQLTEST_VARDIR/tmp/bug14157.sql
+--exec $MYSQL --character-sets-dir=../server/share/charsets/ --default-character-set=latin1 test < $MYSQLTEST_VARDIR/tmp/bug14157.sql
 
 sync_slave_with_master;
 #connection slave;

=== renamed directory 'sql' => 'server'
=== modified file 'server/Makefile.am'
--- sql/Makefile.am	2008-07-06 07:40:55 +0000
+++ server/Makefile.am	2008-07-07 02:40:36 +0000
@@ -150,7 +150,7 @@
 # NOTE Built sources should depend on their sources not the tool
 # this avoid the rebuild of the built files in a source dist
 lex_hash.h: gen_lex_hash$(EXEEXT) $(srcdir)/lex.h
-		$(top_builddir)/sql/gen_lex_hash$(EXEEXT) > $@
+		$(top_builddir)/server/gen_lex_hash$(EXEEXT) > $@
 
 probes.h: probes.d
 	$(DTRACE) $(DTRACEFLAGS) -h -s probes.d

=== modified file 'storage/archive/Makefile.am'
--- storage/archive/Makefile.am	2008-07-05 18:48:15 +0000
+++ storage/archive/Makefile.am	2008-07-07 02:40:36 +0000
@@ -27,7 +27,7 @@
 pkgplugindir =		$(pkglibdir)/plugin
 AM_CPPFLAGS =              -I$(top_srcdir)/include -I$(top_builddir)/include \
 			-I$(top_srcdir)/regex \
-			-I$(top_srcdir)/sql \
+			-I$(top_srcdir)/server \
                         -I$(srcdir)
 WRAPLIBS=
 

=== modified file 'storage/blackhole/Makefile.am'
--- storage/blackhole/Makefile.am	2008-07-01 20:43:04 +0000
+++ storage/blackhole/Makefile.am	2008-07-07 02:40:36 +0000
@@ -22,7 +22,7 @@
 pkgplugindir =		$(pkglibdir)/plugin
 AM_CPPFLAGS =		-I$(top_srcdir)/include -I$(top_builddir)/include \
 			-I$(top_srcdir)/regex \
-			-I$(top_srcdir)/sql \
+			-I$(top_srcdir)/server \
                         -I$(srcdir)
 WRAPLIBS=
 

=== modified file 'storage/csv/Makefile.am'
--- storage/csv/Makefile.am	2008-07-01 20:43:04 +0000
+++ storage/csv/Makefile.am	2008-07-07 02:40:36 +0000
@@ -22,7 +22,7 @@
 AM_CPPFLAGS =              -I$(top_builddir)/include \
 			-I$(top_srcdir)/include \
 			-I$(top_srcdir)/regex \
-			-I$(top_srcdir)/sql \
+			-I$(top_srcdir)/server \
                         -I$(srcdir)
 LDADD =
 

=== modified file 'storage/heap/Makefile.am'
--- storage/heap/Makefile.am	2008-07-05 18:48:15 +0000
+++ storage/heap/Makefile.am	2008-07-07 02:40:36 +0000
@@ -23,7 +23,7 @@
 MYSQLLIBdir=            $(pkglibdir)
 AM_CPPFLAGS =           -I$(top_srcdir)/include -I$(top_builddir)/include \
 			-I$(top_srcdir)/regex \
-			-I$(top_srcdir)/sql \
+			-I$(top_srcdir)/server \
                         -I$(srcdir)
 WRAPLIBS=
 

=== modified file 'storage/innobase/Makefile.am'
--- storage/innobase/Makefile.am	2008-07-01 20:43:04 +0000
+++ storage/innobase/Makefile.am	2008-07-07 02:40:36 +0000
@@ -23,7 +23,7 @@
 AM_CPPFLAGS =              -I$(top_srcdir)/include -I$(top_builddir)/include \
 			-I$(top_srcdir)/regex \
 			-I$(top_srcdir)/storage/innobase/include \
-			-I$(top_srcdir)/sql \
+			-I$(top_srcdir)/server \
                         -I$(srcdir)
 
 DEFS =			@DEFS@

=== modified file 'storage/myisam/Makefile.am'
--- storage/myisam/Makefile.am	2008-07-06 15:03:34 +0000
+++ storage/myisam/Makefile.am	2008-07-07 02:40:36 +0000
@@ -23,7 +23,7 @@
 MYSQLLIBdir =           $(pkglibdir)
 AM_CPPFLAGS =           -I$(top_srcdir)/include -I$(top_builddir)/include \
 			-I$(top_srcdir)/regex \
-			-I$(top_srcdir)/sql \
+			-I$(top_srcdir)/server \
                         -I$(srcdir)
 WRAPLIBS=
 

